package com.example.socksample01;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.Socket;
import java.net.UnknownHostException;

import android.app.Activity;
import android.app.AlertDialog;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity {
	private TextView textView;
	private AlertDialog dialog;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

        Button btn = (Button)findViewById(R.id.sampleButton);
        btn.setOnClickListener((OnClickListener) this);
        
        textView = (TextView)findViewById(R.id.textView1);
        
	}

    public void onClick(View v) {
        // Toast.makeText(this, "{^܂", Toast.LENGTH_LONG).show();
      	EditText edit = (EditText)findViewById(R.id.edittext);
          String text = edit.getText().toString();
          Toast.makeText(this,text, Toast.LENGTH_LONG).show();
   //       dialog.show();            // _CAO\    
          connect();
      }  	
    private void connect() {
        Socket connection = null;
        BufferedReader reader = null;
        try {
            // T[o[֐ڑ
            connection = new Socket("192.168.0.5",80);
 
            // bZ[W擾IuWFNg̃CX^X
            reader = new BufferedReader(new InputStreamReader(connection
                    .getInputStream()));
 
            // T[o[̃bZ[WM
            String message = reader.readLine();
 
            // ڑmF
            if (!(message.matches("^\\+OK.*$"))) {
            	textView.setText("T[o[̃bZ[WF" + message);
                Toast.makeText(this, "T[o[Ƃ̐ڑɎs܂B",
                                Toast.LENGTH_SHORT).show();
            } else {
            	textView.setText("T[o[̃bZ[WF" + message);
                Toast.makeText(this, "T[o[Ƃ̐ڑɐ܂B",
                                Toast.LENGTH_SHORT).show();
            }
 
        } catch (UnknownHostException e) {
            e.printStackTrace();
            textView.setText("G[eF" + e.toString());
            Toast.makeText(this, "T[o[Ƃ̐ڑɎs܂B",
                        Toast.LENGTH_SHORT).show();
        } catch (IOException e) {
            e.printStackTrace();
            textView.setText("G[eF" + e.toString());
            Toast.makeText(this, "T[o[Ƃ̐ڑɎs܂B",
                        Toast.LENGTH_SHORT).show();
        } finally {
            try {
                // ڑI
                reader.close();
                connection.close();
            } catch (IOException e) {
                e.printStackTrace();
                textView.setText("G[eF" + e.toString());
                Toast.makeText(this, "T[o[Ƃ̐ڑɎs܂B",
                                Toast.LENGTH_SHORT).show();
            }
        }
    }
    
    
    
    
    @Override
    public boolean onTouchEvent(MotionEvent e) {
        textView.setText( "X:" + e.getX() + "\nY:" + e.getY() );
        switch (e.getAction()) {
        case MotionEvent.ACTION_DOWN:
            Log.d("Sample", "ACTION_DOWN");
            break;
        case MotionEvent.ACTION_UP:
            Log.d("Sample", "ACTION_UP");
            break;
        case MotionEvent.ACTION_MOVE:
            Log.d("Sample", "ACTION_MOVE");
            break;
        }
        return true;
    }
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
